//
// File: Shape.h
// Created by: Sylvain MARECHAL <sylvain.marechal1@libertysurf.fr>
// Created on: Thu Jun  1 22:37:09 2006
//

#ifndef _SHAPE_H_
#define _SHAPE_H_

#include "Display.h"

#ifdef __TURBOC__
#ifndef bool
#define bool int
#define true 1
#define false 0
#endif
#endif

class Shape
{
	public:
		Shape( Display & display, int x = 0, int y = 0 ) : 
			m_display(display), m_x(x), m_y(y) {}
		virtual ~Shape() {}
	
		// Shape interface
		virtual void Hide() = 0;
		virtual void Show() = 0;
		virtual void Bigger() = 0;
		virtual void Smaller() = 0;
	
		int GetX() { return m_x; }
		virtual void SetX( int x ) { m_x = x; }
		int GetY() { return m_y; }
		virtual void SetY( int y ) { m_y = y; }
		bool IsSelected() { return m_selected; }
		void SetSelected( bool b ) { m_selected = b; }
	protected:
		Display & GetDisplay() const { return m_display; }
	
	private:
		Display & m_display;
		int m_x, m_y;
		bool m_selected;
};

#endif	//_SHAPE_H_
