//
// File: ShapeContainer.h
// Created by: Sylvain MARECHAL <sylvain.marechal1@libertysurf.fr>
// Created on: Thu Jun  1 22:50:56 2006
//

#ifndef _SHAPECONTAINER_H_
#define _SHAPECONTAINER_H_

#include "Shape.h"
#include "Display.h" 

#define MAX_SHAPES	10
class ShapeContainer
{	
	public:
		ShapeContainer();
		~ShapeContainer();
	
		void AddShape( Shape * p );
		void RemoveCurrentShape();
		void MoveCurrentShape( int xInc, int yInc );
		void SelectNextShape();
		void EnlargeCurrent();
		void MakeCurrentSmaller();
		void HideAll();
		void ShowAll();
	
	private:
		Shape * m_shapes[MAX_SHAPES];
		int m_currentShape;
};

#endif	//_SHAPECONTAINER_H_
