#include <stdlib.h>
#include <stdio.h>
#include <conio.h>
#include <ctype.h>
#include "tcDessin.h"

#define	KEY_LEFT	75
#define	KEY_RIGHT	77
#define	KEY_TOP	    72
#define	KEY_BOTTOM	80
#define	KEY_TAB		9
#define	KEY_DEL		83
#define	KEY_BIG		'+'
#define	KEY_SMALL		'-'
#define	KEY_NEWPOINT	'p'
#define	KEY_NEWCIRCLE	'c'
#define	KEY_NEWLINE		'l'
#define	KEY_NEWRECTANGLE	'r'



const int XSCREEN=640;
const int YSCREEN=480;
const int XWINDOW=640;
const int YWINDOW=460;

void InitGraphics()
{
	/* request auto detection */
	int gdriver = VGA, gmode, errorcode;

	/* initialize graphics mode */
	initgraph(&gdriver, &gmode, "");

	/* read result of initialization */
	errorcode = graphresult();

	if (errorcode != grOk)  /* an error occurred */
	{
		printf("Graphics error: %s\n", grapherrormsg(errorcode));
		printf("Press any key to halt:");
		getch();
		exit(1);             /* return with error code */
	}
}


void BuildWindow()
{
	bar( 0, 0, XWINDOW, YWINDOW );
}

void BuildMenu()
{
	setcolor(WHITE);
	setfillstyle( SOLID_FILL, DARKGRAY );
	bar( 0, YWINDOW+1, XSCREEN, YSCREEN );
	outtextxy( 2, YSCREEN - 13,
		"C >Circle, L >Line, R >Rect., - >Small, + >Big, Tab >Next, Del >Del, ESC >Exit" );

}

void CloseGraphics()
{
	closegraph();
}


int main()
{
	int key;

	// Graphics mode
	InitGraphics();

	// Window and menu
	BuildWindow();
	BuildMenu();


	// Build main object
	Dessin dess (XWINDOW, YWINDOW);

	do
	{
		key=getch();
		dess.HideAll();
		switch(key)
		{
			case KEY_TAB:
				dess.SelectNext();
				break;
			case KEY_DEL:
				dess.DeleteCurrent();
				break;
			case KEY_BIG:
				dess.Bigger();
				break;
			case KEY_SMALL:
				dess.Smaller();
				break;
			case KEY_LEFT:
				dess.MoveLeft();
				break;
			case KEY_RIGHT:
				dess.MoveRight();
				break;
			case KEY_BOTTOM:
				dess.MoveBottom();
				break;
			case KEY_TOP:
				dess.MoveTop();
				break;
			case KEY_NEWPOINT:
				dess.NewPoint();
				break;
			case KEY_NEWCIRCLE:
				dess.NewCircle();
				break;
			case KEY_NEWLINE:
				dess.NewLine();
				break;
			case KEY_NEWRECTANGLE:
				dess.NewRectangle();
				break;
		}
		dess.ShowAll();
		BuildMenu();
	} while( key != 27 );

	// Graphics mode
	CloseGraphics();
	
	return 0;
}