//
// File: tcDisplay.cc
// Created by: Sylvain MARECHAL <sylvain.marechal1@libertysurf.fr>
// Created on: Thu Jun  1 22:49:39 2006
//

#include "tcDisp~2.h"

int tcDisplay::SelectColor( Color cr )
{
	int color = 0;
	switch( cr )
	{
		case Display::WHITE:
		{
			color = ::WHITE;
			break;
		}
		case Display::BLUE:
		{
			color = ::BLUE;
			break;
		}
		case Display::GREEN:
		{
			color = ::GREEN;
			break;
		}
		case Display::RED:
		{
			color = ::RED;
			break;
		}
		case Display::BLACK:
		{
			color = ::BLACK;
			break;
		}
	}
	setcolor( color );
	return color;
}


void tcDisplay::DrawPoint( int x, int y, Color cr )
{
	int color = SelectColor( cr );
	putpixel( x, y, color );
}

void tcDisplay::DrawCircle( int x, int y, int r, Color cr )
{
	SelectColor( cr );
	circle( x, y, r );
}

void tcDisplay::DrawLine( int x1, int y1, int x2, int y2, Color cr )
{
	SelectColor( cr );
	line( x1, y1, x2, y2 );
}

void tcDisplay::DrawRectangle( int x, int y, int width, int height, Color cr )
{
	SelectColor( cr );
	rectangle( x, y, x+width, y+height);
}
