//
// File: DessinFrame.h
// Created by: Sylvain MARECHAL <sylvain.marechal1@libertysurf.fr>
// Created on: Thu Jun  1 17:52:37 2006
//

#ifndef _DESSINFRAME_H_
#define _DESSINFRAME_H_

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif
#include <wx/wx.h>
#include "wxDessinWindow.h"

class DessinFrame : public wxFrame
{
	public:
		DessinFrame(const wxString& title, const wxPoint& pos, const wxSize& size);

		// Menu handlers	
		void OnQuit(wxCommandEvent& event);
		void OnSelectNext(wxCommandEvent& event);
		void OnDeleteCurrent(wxCommandEvent& event);
		void OnBigger(wxCommandEvent& event);
		void OnSmaller(wxCommandEvent& event);
		void OnMoveLeft(wxCommandEvent& event);
		void OnMoveRight(wxCommandEvent& event);
		void OnMoveBottom(wxCommandEvent& event);
		void OnMoveTop(wxCommandEvent& event);
		void OnNewPoint(wxCommandEvent& event);
		void OnNewCircle(wxCommandEvent& event);
		void OnNewLine(wxCommandEvent& event);
		void OnNewRectangle(wxCommandEvent& event);
		void OnAbout(wxCommandEvent& event);
			
		enum
		{
			ID_Quit = 1,
			ID_SelectNext,
			ID_DeleteCurrent,
			ID_Bigger,
			ID_Smaller,
			ID_MoveLeft,
			ID_MoveRight,
			ID_MoveBottom,
			ID_MoveTop,
			ID_NewPoint,
			ID_NewCircle,
			ID_NewLine,
			ID_NewRectangle,
			ID_About
		};
		DECLARE_EVENT_TABLE()	

	private:
		DessinWindow * m_dessinWindow;
};


#endif	//_DESSINFRAME_H_
