//
// File: wxDisplay.cc
// Created by: Sylvain MARECHAL <sylvain.marechal1@libertysurf.fr>
// Created on: Thu Jun  1 22:49:39 2006
//

#include "wxDisplay.h"

void wxDisplay::SelectPenByColor( Color cr )
{
	wxPen * pen = NULL;
	switch( cr )
	{
		case WHITE:
		{
			pen = wxWHITE_PEN;
			break;
		}
		case BLUE:
		{
			pen = wxCYAN_PEN;
			break;
		}
		case GREEN:
		{
			pen = wxGREEN_PEN;
			break;
		}
		case RED:
		{
			pen = wxRED_PEN;
			break;
		}
		case BLACK:
		{
			pen = wxBLACK_PEN;
			break;
		}
	}
	if( m_pdc ) m_pdc->SetPen( *pen);
}


void wxDisplay::DrawPoint( int x, int y, Color cr )
{
	SelectPenByColor( cr );
	if( m_pdc ) m_pdc->DrawPoint( x, y );
}

void wxDisplay::DrawCircle( int x, int y, int r, Color cr )
{
	SelectPenByColor( cr );
	if( m_pdc ) m_pdc->DrawCircle( x, y, r );
}

void wxDisplay::DrawLine( int x1, int y1, int x2, int y2, Color cr )
{
	SelectPenByColor( cr );
	if( m_pdc ) m_pdc->DrawLine( x1, y1, x2, y2 );
}

void wxDisplay::DrawRectangle( int x, int y, int width, int height, Color cr )
{
	SelectPenByColor( cr );
	if( m_pdc ) m_pdc->DrawRectangle( x, y, width, height );
}
