//
// File: wxDisplay.h
// Created by: Sylvain MARECHAL <sylvain.marechal1@libertysurf.fr>
// Created on: Thu Jun  1 22:49:39 2006
//

#ifndef _WXDISPLAY_H_
#define _WXDISPLAY_H_

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif
#include <wx/wx.h>
#include "Display.h"

// Display implementation for wxWidget
class wxDisplay : public Display
{
	public:
		wxDisplay() : m_pdc (NULL) {}

		void SetDC( wxDC * pdc ) { m_pdc = pdc; }
		void DrawPoint( int x, int y, Color cr );
		void DrawCircle( int x, int y, int r, Color cr );
		void DrawLine( int x1, int y1, int x2, int y2, Color cr );
		void DrawRectangle( int x, int y, int width, int height, Color cr );
	private :
		void SelectPenByColor( Color cr );
		wxDC * m_pdc;
};


#endif	//_WXDISPLAY_H_
